# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict, ObservableCommandInstance

from ..generated.turbidityprovider import GetTurbidity_Responses, TurbidityProviderBase

if TYPE_CHECKING:
    from ..server import Server


class TurbidityProviderImpl(TurbidityProviderBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def GetTurbidity(
        self, Wavelenth: float, *, metadata: MetadataDict, instance: ObservableCommandInstance
    ) -> GetTurbidity_Responses:
        instance.begin_execution()  # set execution status from `waiting` to `running`
        raise NotImplementedError  # TODO
